| Home | Libraries | People | FAQ | More

#### http::is_body_reader

Determine if a type has a nested BodyReader.

##### Synopsis

Defined in header `<boost/beast/http/type_traits.hpp>`

    template<
        class T>
    using is_body_reader = see-below;

##### Description

This alias template is `std::true_type` when:

- `T` has a nested type named `reader`
- `reader` meets the requirements of BodyReader.

##### Template Parameters

Type | Description
--- | ---
`T` | The body type to test.

##### Example

    template<bool isRequest, class Body, class Fields>
    void check_can_parse(message<isRequest, Body, Fields>&)
    {
        static_assert(is_body_reader<Body>::value,
            "Cannot parse Body, no reader");
    }

Convenience header `<boost/beast/http.hpp>`